### Function

# Secret password_store_binary_sync

since: 0.19.0

#### Declaration [src]

    gboolean
    secret_password_store_binary_sync (
      const SecretSchema* schema,
      const char* collection,
      const char* label,
      SecretValue* value,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Store a password in the secret service.

This is similar to `secret_password_store_sync()`, but takes a `SecretValue` as the argument instead of a null terminated password.

This method may block indefinitely and should not be used in user interface threads.

Available since: 0.19.0

This function is not directly available to language bindings.

The implementation of this function is provided by `secret_password_storev_binary_sync()` in language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The data is owned by the caller of the function.

`collection`

  Type: `const char*`

  A collection alias, or D-Bus object path of the collection where to store the secret.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  Label for the secret.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `SecretValue`

  A `SecretValue`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError`

  Location to place an error on failure.

  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.

#### Return value

Type: `gboolean`

Whether the storage was successful or not.